package unittest
import (
	πg "grumpy"
	π_grumpyΓlibΓunittest_case "grumpy/lib/unittest_case"
	π_grumpyΓlibΓunittest_loader "grumpy/lib/unittest_loader"
	π_grumpyΓlibΓunittest_result "grumpy/lib/unittest_result"
	π_grumpyΓlibΓunittest_runner "grumpy/lib/unittest_runner"
	π_grumpyΓlibΓunittest_signals "grumpy/lib/unittest_signals"
	π_grumpyΓlibΓunittest_suite "grumpy/lib/unittest_suite"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßBaseTestSuite := πg.InternStr("BaseTestSuite")
	ßFunctionTestCase := πg.InternStr("FunctionTestCase")
	ßSkipTest := πg.InternStr("SkipTest")
	ßTestCase := πg.InternStr("TestCase")
	ßTestLoader := πg.InternStr("TestLoader")
	ßTestResult := πg.InternStr("TestResult")
	ßTestSuite := πg.InternStr("TestSuite")
	ßTextTestResult := πg.InternStr("TextTestResult")
	ßTextTestRunner := πg.InternStr("TextTestRunner")
	ßTrue := πg.InternStr("True")
	ß_TextTestResult := πg.InternStr("_TextTestResult")
	ß__all__ := πg.InternStr("__all__")
	ß__unittest := πg.InternStr("__unittest")
	ßdefaultTestLoader := πg.InternStr("defaultTestLoader")
	ßexpectedFailure := πg.InternStr("expectedFailure")
	ßfindTestCases := πg.InternStr("findTestCases")
	ßgetTestCaseNames := πg.InternStr("getTestCaseNames")
	ßinstallHandler := πg.InternStr("installHandler")
	ßmain := πg.InternStr("main")
	ßmakeSuite := πg.InternStr("makeSuite")
	ßregisterResult := πg.InternStr("registerResult")
	ßremoveHandler := πg.InternStr("removeHandler")
	ßremoveResult := πg.InternStr("removeResult")
	ßskip := πg.InternStr("skip")
	ßskipIf := πg.InternStr("skipIf")
	ßskipUnless := πg.InternStr("skipUnless")
	ßunittest_case := πg.InternStr("unittest_case")
	ßunittest_loader := πg.InternStr("unittest_loader")
	ßunittest_result := πg.InternStr("unittest_result")
	ßunittest_runner := πg.InternStr("unittest_runner")
	ßunittest_signals := πg.InternStr("unittest_signals")
	ßunittest_suite := πg.InternStr("unittest_suite")
	var πTemp001 []*πg.Object
	_ = πTemp001
	var πTemp002 *πg.Object
	_ = πTemp002
	var πTemp003 *πg.Object
	_ = πTemp003
	var πTemp004 *πg.Object
	_ = πTemp004
	var πTemp005 *πg.Object
	_ = πTemp005
	var πTemp006 *πg.Object
	_ = πTemp006
	var πTemp007 *πg.Object
	_ = πTemp007
	var πTemp008 *πg.Object
	_ = πTemp008
	var πTemp009 *πg.Object
	_ = πTemp009
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		default: panic("unexpected function state")
		}
		// line 45: """
		πF.SetLineno(45)
		// line 47: __all__ = ['TestResult', 'TestCase', 'TestSuite',
		πF.SetLineno(47)
		πTemp001 = make([]*πg.Object, 18)
		πTemp001[0] = ßTestResult.ToObject()
		πTemp001[1] = ßTestCase.ToObject()
		πTemp001[2] = ßTestSuite.ToObject()
		πTemp001[3] = ßTextTestRunner.ToObject()
		πTemp001[4] = ßTestLoader.ToObject()
		πTemp001[5] = ßFunctionTestCase.ToObject()
		πTemp001[6] = ßmain.ToObject()
		πTemp001[7] = ßdefaultTestLoader.ToObject()
		πTemp001[8] = ßSkipTest.ToObject()
		πTemp001[9] = ßskip.ToObject()
		πTemp001[10] = ßskipIf.ToObject()
		πTemp001[11] = ßskipUnless.ToObject()
		πTemp001[12] = ßexpectedFailure.ToObject()
		πTemp001[13] = ßTextTestResult.ToObject()
		πTemp001[14] = ßinstallHandler.ToObject()
		πTemp001[15] = ßregisterResult.ToObject()
		πTemp001[16] = ßremoveResult.ToObject()
		πTemp001[17] = ßremoveHandler.ToObject()
		πTemp002 = πg.NewList(πTemp001...).ToObject()
		if πE = πF.Globals().SetItem(πF, ß__all__.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 55: __all__ += (['getTestCaseNames', 'makeSuite', 'findTestCases'])
		πF.SetLineno(55)
		if πTemp002, πE = πg.ResolveGlobal(πF, ß__all__); πE != nil {
			continue
		}
		πTemp001 = make([]*πg.Object, 3)
		πTemp001[0] = ßgetTestCaseNames.ToObject()
		πTemp001[1] = ßmakeSuite.ToObject()
		πTemp001[2] = ßfindTestCases.ToObject()
		πTemp003 = πg.NewList(πTemp001...).ToObject()
		if πTemp004, πE = πg.IAdd(πF, πTemp002, πTemp003); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ß__all__.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 57: __unittest = True
		πF.SetLineno(57)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßTrue); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ß__unittest.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 59: import unittest_result
		πF.SetLineno(59)
		if πTemp001, πE = πg.ImportModule(πF, "unittest_result", []*πg.Code{π_grumpyΓlibΓunittest_result.Code}); πE != nil {
			continue
		}
		πTemp002 = πTemp001[0]
		if πE = πF.Globals().SetItem(πF, ßunittest_result.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 60: import unittest_case
		πF.SetLineno(60)
		if πTemp001, πE = πg.ImportModule(πF, "unittest_case", []*πg.Code{π_grumpyΓlibΓunittest_case.Code}); πE != nil {
			continue
		}
		πTemp002 = πTemp001[0]
		if πE = πF.Globals().SetItem(πF, ßunittest_case.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 61: import unittest_suite
		πF.SetLineno(61)
		if πTemp001, πE = πg.ImportModule(πF, "unittest_suite", []*πg.Code{π_grumpyΓlibΓunittest_suite.Code}); πE != nil {
			continue
		}
		πTemp002 = πTemp001[0]
		if πE = πF.Globals().SetItem(πF, ßunittest_suite.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 62: import unittest_loader
		πF.SetLineno(62)
		if πTemp001, πE = πg.ImportModule(πF, "unittest_loader", []*πg.Code{π_grumpyΓlibΓunittest_loader.Code}); πE != nil {
			continue
		}
		πTemp002 = πTemp001[0]
		if πE = πF.Globals().SetItem(πF, ßunittest_loader.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 64: import unittest_runner
		πF.SetLineno(64)
		if πTemp001, πE = πg.ImportModule(πF, "unittest_runner", []*πg.Code{π_grumpyΓlibΓunittest_runner.Code}); πE != nil {
			continue
		}
		πTemp002 = πTemp001[0]
		if πE = πF.Globals().SetItem(πF, ßunittest_runner.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 65: import unittest_signals
		πF.SetLineno(65)
		if πTemp001, πE = πg.ImportModule(πF, "unittest_signals", []*πg.Code{π_grumpyΓlibΓunittest_signals.Code}); πE != nil {
			continue
		}
		πTemp002 = πTemp001[0]
		if πE = πF.Globals().SetItem(πF, ßunittest_signals.ToObject(), πTemp002); πE != nil {
			continue
		}
		// line 77: TestResult = unittest_result.TestResult
		πF.SetLineno(77)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_result); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTestResult, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßTestResult.ToObject(), πTemp003); πE != nil {
			continue
		}
		// line 78: TestCase, FunctionTestCase, SkipTest, skip, skipIf, skipUnless, expectedFailure = \
		πF.SetLineno(78)
		πTemp001 = make([]*πg.Object, 7)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_case); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTestCase, nil); πE != nil {
			continue
		}
		πTemp001[0] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_case); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßFunctionTestCase, nil); πE != nil {
			continue
		}
		πTemp001[1] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_case); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßSkipTest, nil); πE != nil {
			continue
		}
		πTemp001[2] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_case); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßskip, nil); πE != nil {
			continue
		}
		πTemp001[3] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_case); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßskipIf, nil); πE != nil {
			continue
		}
		πTemp001[4] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_case); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßskipUnless, nil); πE != nil {
			continue
		}
		πTemp001[5] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_case); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßexpectedFailure, nil); πE != nil {
			continue
		}
		πTemp001[6] = πTemp003
		πTemp002 = πg.NewTuple(πTemp001...).ToObject()
		if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp003}, πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}, πg.TieTarget{Target: &πTemp006}, πg.TieTarget{Target: &πTemp007}, πg.TieTarget{Target: &πTemp008}, πg.TieTarget{Target: &πTemp009}}}, πTemp002); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßTestCase.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßFunctionTestCase.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßSkipTest.ToObject(), πTemp005); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßskip.ToObject(), πTemp006); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßskipIf.ToObject(), πTemp007); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßskipUnless.ToObject(), πTemp008); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßexpectedFailure.ToObject(), πTemp009); πE != nil {
			continue
		}
		// line 82: BaseTestSuite, TestSuite = unittest_suite.BaseTestSuite, unittest_suite.TestSuite
		πF.SetLineno(82)
		πTemp001 = make([]*πg.Object, 2)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_suite); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßBaseTestSuite, nil); πE != nil {
			continue
		}
		πTemp001[0] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_suite); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTestSuite, nil); πE != nil {
			continue
		}
		πTemp001[1] = πTemp003
		πTemp002 = πg.NewTuple(πTemp001...).ToObject()
		if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp003}, πg.TieTarget{Target: &πTemp004}}}, πTemp002); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßBaseTestSuite.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßTestSuite.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 83: TestLoader, defaultTestLoader, makeSuite, getTestCaseNames, findTestCases = \
		πF.SetLineno(83)
		πTemp001 = make([]*πg.Object, 5)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_loader); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTestLoader, nil); πE != nil {
			continue
		}
		πTemp001[0] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_loader); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßdefaultTestLoader, nil); πE != nil {
			continue
		}
		πTemp001[1] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_loader); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßmakeSuite, nil); πE != nil {
			continue
		}
		πTemp001[2] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_loader); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßgetTestCaseNames, nil); πE != nil {
			continue
		}
		πTemp001[3] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_loader); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßfindTestCases, nil); πE != nil {
			continue
		}
		πTemp001[4] = πTemp003
		πTemp002 = πg.NewTuple(πTemp001...).ToObject()
		if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp003}, πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}, πg.TieTarget{Target: &πTemp006}, πg.TieTarget{Target: &πTemp007}}}, πTemp002); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßTestLoader.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßdefaultTestLoader.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßmakeSuite.ToObject(), πTemp005); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßgetTestCaseNames.ToObject(), πTemp006); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßfindTestCases.ToObject(), πTemp007); πE != nil {
			continue
		}
		// line 87: TextTestRunner, TextTestResult = unittest_runner.TextTestRunner, unittest_runner.TextTestResult
		πF.SetLineno(87)
		πTemp001 = make([]*πg.Object, 2)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_runner); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTextTestRunner, nil); πE != nil {
			continue
		}
		πTemp001[0] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_runner); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTextTestResult, nil); πE != nil {
			continue
		}
		πTemp001[1] = πTemp003
		πTemp002 = πg.NewTuple(πTemp001...).ToObject()
		if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp003}, πg.TieTarget{Target: &πTemp004}}}, πTemp002); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßTextTestRunner.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßTextTestResult.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 88: installHandler, registerResult, removeResult, removeHandler = \
		πF.SetLineno(88)
		πTemp001 = make([]*πg.Object, 4)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_signals); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßinstallHandler, nil); πE != nil {
			continue
		}
		πTemp001[0] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_signals); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßregisterResult, nil); πE != nil {
			continue
		}
		πTemp001[1] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_signals); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßremoveResult, nil); πE != nil {
			continue
		}
		πTemp001[2] = πTemp003
		if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest_signals); πE != nil {
			continue
		}
		if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßremoveHandler, nil); πE != nil {
			continue
		}
		πTemp001[3] = πTemp003
		πTemp002 = πg.NewTuple(πTemp001...).ToObject()
		if πE = πg.Tie(πF, πg.TieTarget{Children: []πg.TieTarget{πg.TieTarget{Target: &πTemp003}, πg.TieTarget{Target: &πTemp004}, πg.TieTarget{Target: &πTemp005}, πg.TieTarget{Target: &πTemp006}}}, πTemp002); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßinstallHandler.ToObject(), πTemp003); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßregisterResult.ToObject(), πTemp004); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßremoveResult.ToObject(), πTemp005); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßremoveHandler.ToObject(), πTemp006); πE != nil {
			continue
		}
		// line 93: _TextTestResult = TextTestResult
		πF.SetLineno(93)
		if πTemp002, πE = πg.ResolveGlobal(πF, ßTextTestResult); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ß_TextTestResult.ToObject(), πTemp002); πE != nil {
			continue
		}
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "third_party/stdlib/unittest/__init__.py", nil, 0, initModule)
}
